Skip to main content
POST
/
proposals
/
templates
/
send
Send template
curl --request POST \
  --url https://services.leadconnectorhq.com/proposals/templates/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "templateId": "hTlkh7t8gujsahgg93",
  "userId": "hTlkh7t8gujsahgg93",
  "locationId": "hTlkh7t8gujsahgg93",
  "contactId": "hTlkh7t8gujsahgg93",
  "sendDocument": true,
  "opportunityId": "hTlkh7t8gujsahgg93"
}
'
{
  "success": true,
  "links": [
    {
      "referenceId": "550e8400-e29b-41d4-a716-446655440000",
      "documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
      "recipientId": "u240JcS0E5qE0ziHnwMm",
      "entityName": "contacts",
      "recipientCategory": "recipient",
      "documentRevision": 1,
      "createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
      "deleted": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Authorization
string
required

Access Token

Example:

"Bearer 9c48df2694a849b6089f9d0d3513efe"

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
templateId
string
required

Template Id

Example:

"hTlkh7t8gujsahgg93"

userId
string
required

User Id

Example:

"hTlkh7t8gujsahgg93"

locationId
string
required

Location Id

Example:

"hTlkh7t8gujsahgg93"

contactId
string
required

Contact Id

Example:

"hTlkh7t8gujsahgg93"

sendDocument
boolean

Send Document

Example:

true

opportunityId
string

Opportunity Id

Example:

"hTlkh7t8gujsahgg93"

Response

Document sent successfully

success
boolean
required

Success status

Example:

true

Links for all recipients

Last modified on March 7, 2026